import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { FindOneUserUseCase } from './FindOneUserUseCase';


class FindOneUserController {
    async handle(request: Request, response: Response) {
        const {email} = request.body;
        const findOneUserUseCase = container.resolve(FindOneUserUseCase)

        const user = await findOneUserUseCase.execute(email)

        return response.status(200).json(user)
    }
}

export {FindOneUserController}